From 0000000000000000000000000000000000000000 Mon Sep 17 00:00:00 2001
From: Ismael Luceno <ismael@sourcemage.org>
Date: Wed, 22 Jan 2025 18:53:40 +0100
Subject: [PATCH] Add install rules

Origin: Source Mage
Upstream-Status: Pending
Signed-off-by: Ismael Luceno <ismael@sourcemage.org>
---
 CMakeLists.txt              |    4 ++--
 libfixmath/libfixmath.cmake |   19 ++++++++++++++++---
 2 files changed, 18 insertions(+), 5 deletions(-)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index a8cf98e50eee..6954b3e82a9b 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -20,10 +20,10 @@ if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
     file(GLOB fixtest-srcs fixtest/*.c fixtest/*.h)
 
     add_executable(fixtest ${fixtest-srcs})
-    target_link_libraries(fixtest PRIVATE libfixmath m)
+    target_link_libraries(fixtest PRIVATE fixmath m)
     target_include_directories(fixtest PRIVATE ${CMAKE_SOURCE_DIR})
 
     add_executable(fixsingen ${fixsingen-srcs})
-    target_link_libraries(fixsingen PRIVATE libfixmath m)
+    target_link_libraries(fixsingen PRIVATE fixmath m)
     target_include_directories(fixsingen PRIVATE ${CMAKE_SOURCE_DIR})
 endif()
diff --git a/libfixmath/libfixmath.cmake b/libfixmath/libfixmath.cmake
index 138b1dedd8aa..e37ddc312876 100644
--- a/libfixmath/libfixmath.cmake
+++ b/libfixmath/libfixmath.cmake
@@ -3,6 +3,19 @@
 file(GLOB libfixmath-srcs libfixmath/*.c)
 
-add_library(libfixmath STATIC ${libfixmath-srcs})
+add_library(fixmath STATIC ${libfixmath-srcs})
 
-target_include_directories(libfixmath INTERFACE
+target_include_directories(fixmath INTERFACE
-  ${CMAKE_CURRENT_SOURCE_DIR})
\ No newline at end of file
+  ${CMAKE_CURRENT_SOURCE_DIR})
+
+install(TARGETS
+		fixmath
+	DESTINATION lib)
+install(FILES
+		libfixmath/fix16.h
+		libfixmath/fix16.hpp
+		libfixmath/fix16_trig_sin_lut.h
+		libfixmath/fixmath.h
+		libfixmath/fract32.h
+		libfixmath/int64.h
+		libfixmath/uint32.h
+	DESTINATION include/libfixmath)
